package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentsTest {

    @Test
    public void singletonInstanceTest(){

        Students instance1 = Students.getInstance();
        Students instance2 = Students.getInstance();

        Assert.assertSame(instance1, instance2);
    }

    @Test
    public void InitializationSetupStudentsTest(){
        int expectedOutput = 39;

        int actualOutput = Students.getInstance().getArray().length;


        Assert.assertEquals(expectedOutput, actualOutput);
    }
}
