package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class TestPerson {

    @Test
    public void testConstructor(){
        Person person1 = new Person(111000000, "Joe");
        long expectedOutput = 111000000;

        long actualOutput = person1.getId();

        Assert.assertEquals(expectedOutput, actualOutput);

    }

    @Test
    public void testSetAndGetName(){
        Person person1 = new Person(111000,  "Joe");
        String expectedOutput = "Joe";

        person1.setName("Joe");
        String actualOutput = person1.getName();

        Assert.assertEquals(expectedOutput, actualOutput);

    }

}
