package io.zipcoder.interfaces;

import org.junit.Test;
import org.junit.Assert;

public class TestStudent {

    @Test
    public void testImplementation(){
        Student newStudent = new Student(111000, "Joe");
        boolean expectedOutput = true;

        boolean actualOutput = (newStudent instanceof Learner);

        Assert.assertTrue(actualOutput);
    }

    @Test
    public void testInheritance(){
        Student newStudent = new Student(111000, "Joe");
        boolean expectedOutput = true;

        boolean actualOutput = (newStudent instanceof Person);

        Assert.assertTrue(actualOutput);

    }

    @Test
    public void testLearn(){
        Student newStudent = new Student(111000, "Joe");
        double expectedOutput = 5;

        newStudent.learn(5);

        double actualOutput = newStudent.getTotalStudyTime();

        Assert.assertEquals(expectedOutput, actualOutput, .00);
    }
}
