package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class InstructorsTest {
    @Test
    public void singletonInstanceTest(){

        Instructors instance1 = Instructors.getInstance();
        Instructors instance2 = Instructors.getInstance();

        Assert.assertSame(instance1, instance2);
    }

    @Test
    public void InitializationSetupStudentsTest(){
        int expectedOutput = 6;
        int actualOutput = Instructors.getInstance().getArray().length;

        Assert.assertEquals(expectedOutput, actualOutput);
    }
}
